Cascade
Account

Get Account History

Retrieve portfolio history for an account and subaccount

GET
/account/history

Query Parameters

accountstring

Identifies the account. Caller must be authenticated as this account or a delegate.

subaccountIndexinteger

Identifies the subaccount.

Formatint32
Range0 <= value
from?integer

Limit to snapshots at or after this timestamp (milliseconds)

Formatint64
Range0 <= value
to?integer

Limit to snapshots before this timestamp (milliseconds)

Formatint64
Range0 <= value
limit?integer

Maximum number of snapshots to return

Formatint32
Range1 <= value <= 10000

Response Body

application/json

text/plain

text/plain

text/plain

text/plain

curl -X GET "https://engine.cascade.cooking/account/history?account=0xe1c03ec3bcf509b3e8e63abcd03edc661ffe6a78&subaccountIndex=0&from=1751793781000&to=1751793784000&limit=100"
[
  {
    "account": "string",
    "nav": "string",
    "netDeposits": "string",
    "subaccountIndex": 0,
    "timestamp": 0
  }
]
"string"
"string"
"string"
"string"